Subject: Re: bug#63142: 30.0.50; QUOTING_STYLE can break dired

From: Ruijie Yu <[email-masked]>
Date: Fri, 28 Apr 2023 18:27:56 +0800

Yuri D'Elia <[email-masked]> writes:

> If the environment variable QUOTING_STYLE is set, GNU "ls" can return a
> format that dired doesn't like.
>
> QUOTING_STYLE=shell will quote files with spaces such as 'a b', and
> trying to interact with these files with dired results in:
>
> dired-get-file-for-visit: File no longer exists; type g to update Dired buffer
>
> Interestingly, even using "ls --dired" does the same if QUOTING_STYLE is
> set.

Are you suggesting that for ls, passing --dired should also override the
quoting style?  Either way, we can also pass --quoting-style onto the
command line to override it to something dired can play with.

> Should dired handle QUOTING_STYLE (looking at the coreutils manual it
> seems that other tools besides ls handle it) or should dired actively
> suppress the quoting mode?

-- 
Best,

RY

[Please note that this mail might go to spam due to some
misconfiguration in my mail server -- still investigating.]